<script context="module" lang="ts">
	import type { Load } from '@sveltejs/kit';

	export const load: Load = async ({ fetch, session, page }) => {
		const hasUserInfo = !!Object.values(session).length;
		if (hasUserInfo) {
			return {
				status: 302,
				redirect: '/room-check'
			};
		} else {
			if (page.path == '/auth') {
				return {};
			} else {
				return {
					status: 302,
					redirect: '/auth'
				};
			}
		}
	};
</script>

<script lang="ts">
	const ENV = (import.meta as any).env.VITE_ENV;
</script>

<svelte:head>
	<title>Home</title>
</svelte:head>
